Package org.silverpeas.mobile.shared.dto

## Class StatusDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.StatusDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<StatusDTO>`

      public class StatusDTO
      extends Object
      implements Serializable, Comparable<StatusDTO>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatusDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(StatusDTO o)` |
    `boolean` | `equals​(Object obj)` |
    `Date` | `getCreationDate()` |
    `String` | `getDescription()` |
    `int` | `getId()` |
    `int` | `getUserId()` |
    `void` | `setCreationDate​(Date creationDate)` |
    `void` | `setDescription​(String description)` |
    `void` | `setId​(int id)` |
    `void` | `setUserId​(int userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusDTO

          public StatusDTO()

  - ### Method Detail

    - #### compareTo

          public int compareTo​(StatusDTO o)

      Specified by:
        `compareTo` in interface `Comparable<StatusDTO>`

    - #### getId

          public int getId()

    - #### setId

          public void setId​(int id)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId​(int userId)

    - #### getCreationDate

          public Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(Date creationDate)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`